Subject: bug#50237: 28.0.50; [calc] Default terminal when plotting in gnuplot without x11 support

From: Lars Ingebrigtsen <[email-masked]>
Date: Sun, 29 Aug 2021 22:13:38 +0200

Ihor Radchenko <[email-masked]> writes:

> I have gnuplot-5.4.1-r2 compiled without X support.
> When I try the following recipe, no plot is produced and no error is
> indicated:
>
> emacs -Q:
> 1. M-x calc <RET>
> 2. [1,2,3]
> 3. <SPC>
> 4. g f
>
> gnuplot trail (not shown automatically upon executing the recipe)
> reveals the following:

I was unable to reproduce the problem.

> ACL CAIRO DBUS FREETYPE GIF GLIB GMP GNUTLS HARFBUZZ IMAGEMAGICK JPEG
> JSON LIBSELINUX LIBXML2 MODULES NATIVE_COMP NOTIFY INOTIFY OLDXMENU
> PDUMPER PNG RSVG SECCOMP SOUND THREADS TIFF X11 XDBE XIM XPM ZLIB

I assume that the bug report was sent from a different Emacs, since this
one has X11 support?  Can you give the `M-x report-emacs-bug' output
from the Emacs that failed?  That should enable others to reproduce the
issue.

-- 
(domestic pets only, the antidote for overdose, milk.)
   bloggy blog: http://lars.ingebrigtsen.no